# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify Alma, CentOS, CentOS Stream and Rocky Linux as rhel
%if "%{__distinit}" == "a" || "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "cs" || "%{__distinit}" == "rl"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Module-Load-Conditional
Version:	0.74
Release:	499.%{__distinit}%{__distvers}
Summary:	Looking up module information / loading at run-time
License:	GPL-1.0-or-later OR Artistic-1.0-Perl
URL:		https://metacpan.org/release/Module-Load-Conditional
Source0:	https://cpan.metacpan.org/modules/by-module/Module/Module-Load-Conditional-%{version}.tar.gz
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker)
# Module Runtime
BuildRequires:	perl(Carp)
BuildRequires:	perl(Config)
BuildRequires:	perl(constant)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(FileHandle)
BuildRequires:	perl(Locale::Maketext::Simple)
BuildRequires:	perl(Module::CoreList) >= 2.22
BuildRequires:	perl(Module::Load) >= 0.28
BuildRequires:	perl(Module::Metadata) >= 1.000005
BuildRequires:	perl(Params::Check)
BuildRequires:	perl(strict)
BuildRequires:	perl(vars)
BuildRequires:	perl(version) >= 0.69
BuildRequires:	perl(warnings)
# Test Suite
BuildRequires:	perl(FindBin)
BuildRequires:	perl(lib)
BuildRequires:	perl(Test::More)
# Dependencies
%if 0%{?fedora} < 38 && 0%{?rhel} < 10
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
%endif
Requires:	perl(Config)
Requires:	perl(Module::CoreList) >= 2.22

%description
Module::Load::Conditional provides simple ways to query and possibly load
any of the modules you have installed on your system during runtime.

%prep
%setup -q -n Module-Load-Conditional-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%doc CHANGES README
%{perl_vendorlib}/Module/
%{_mandir}/man3/Module::Load::Conditional.3*

%changelog
* Mon Jul 17 2023 Paul Howarth <paul@city-fan.org> - 0.74-499
- Use SPDX-format license tag

* Fri Aug 21 2020 Paul Howarth <paul@city-fan.org> - 0.74-1
- Update to 0.74
  - strictify the test suite packages

* Thu Jun 25 2020 Paul Howarth <paul@city-fan.org> - 0.72-1
- Update to 0.72
  - Avoid using indirect calls

* Mon Nov 11 2019 Paul Howarth <paul@city-fan.org> - 0.70-1
- Update to 0.70
  - Protect ourselves from Module::Metadata parsing problems (CPAN RT#130939)

* Wed Jun 27 2018 Paul Howarth <paul@city-fan.org> - 0.68-416
- Perl 5.28 rebuild

* Thu Apr 26 2018 Paul Howarth <paul@city-fan.org> - 0.68-395
- BR: perl-generators unconditionally
- BR: perl-interpreter rather than perl
- Drop support for EOL distributions prior to F-13
  - Drop BuildRoot: and Group: tags
  - Drop explicit buildroot cleaning in %%install section
  - Drop explicit %%clean section

* Fri Jul 29 2016 Paul Howarth <paul@city-fan.org> - 0.68-1
- Update to 0.68
  - Fix unconditional @INC localization

* Wed Jul 27 2016 Paul Howarth <paul@city-fan.org> - 0.66-1
- Update to 0.66
  - Add FORCE_SAFE_INC option to fix CVE-2016-1238
- BR: perl-generators where available
- Simplify find command using -delete

* Mon Jan 19 2015 Paul Howarth <paul@city-fan.org> - 0.64-1
- Update to 0.64
  - Resolve an edge-case with DEPRECATED (CPAN RT#101555)
- Classify buildreqs by usage

* Fri Jan 24 2014 Paul Howarth <paul@city-fan.org> - 0.62-1
- Update to 0.62
  - Added autoload option to can_load()

* Sun Sep  1 2013 Paul Howarth <paul@city-fan.org> - 0.58-1
- Update to 0.58
  - Make quoting work portably and remove prototypes from one-liner in
    requires() (CPAN RT#83728)

* Sat Aug 31 2013 Paul Howarth <paul@city-fan.org> - 0.56-1
- Update to 0.56
  - Make requires() more robust (CPAN RT#83728)

* Tue Aug 21 2012 Paul Howarth <paul@city-fan.org> - 0.54-1
- Update to 0.54 (VMS test fixes)

* Sun Jul 29 2012 Paul Howarth <paul@city-fan.org> - 0.52-1
- Update to 0.52
  - Various enhancements, including now using Module::Metadata
- BR: perl(Module::Metadata) ≥ 1.000005

* Fri Jun  8 2012 Paul Howarth <paul@city-fan.org> - 0.50-2
- Perl 5.16 rebuild

* Sat Apr 28 2012 Paul Howarth <paul@city-fan.org> - 0.50-1
- Update to 0.50 (speed enhancements)

* Thu Mar 15 2012 Paul Howarth <paul@city-fan.org> - 0.48-1
- Update to 0.48
  - Wrap $^X in "" to foil paths with spaces
- BR:/R: perl(Config) and perl(Module::CoreList) ≥ 2.22
- BR: Perl core modules that might be dual-lived
- Don't need to remove empty directories from buildroot
- Drop support for distributions prior to FC-3:
  - Don't need to define %%{perl_vendorlib}
  - Use DESTDIR rather than PERL_INSTALL_ROOT

* Thu Sep  8 2011 Paul Howarth <paul@city-fan.org> - 0.46-1
- Update to 0.46
  - Use || instead of "or" (Perl RT#78708)

* Fri Jul  1 2011 Paul Howarth <paul@city-fan.org> - 0.44-2
- Rebuild for perl 5.14.1 in Rawhide
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux

* Thu Feb 10 2011 Paul Howarth <paul@city-fan.org> - 0.44-1
- Update to 0.44
  - Fix an edge-case with obj/ref @INC entries (CPAN RT#60916)
  - POD clean-up (CPAN RT#65601)

* Mon Jan 10 2011 Paul Howarth <paul@city-fan.org> - 0.40-1
- Update to 0.40 (fixes for bleadperl)

* Wed Dec  8 2010 Paul Howarth <paul@city-fan.org> - 0.38-1
- Import from Fedora
- Update to 0.38
- This release by BINGOS -> update source URL

* Tue Sep 18 2007 Steven Pritchard <steve@kspei.com> - 0.18-1
- Update to 0.18
- BR Test::More

* Wed Apr 18 2007 Steven Pritchard <steve@kspei.com> - 0.16-2
- BR ExtUtils::MakeMaker

* Sat Jan 27 2007 Steven Pritchard <steve@kspei.com> - 0.16-1
- Update to 0.16
- BR: version

* Sat Jan 06 2007 Steven Pritchard <steve@kspei.com> - 0.14-1
- Update to 0.14
- Use fixperms macro instead of our own chmod incantation

* Sun Sep 17 2006 Steven Pritchard <steve@kspei.com> - 0.12-2
- Rebuild

* Fri Aug 18 2006 Steven Pritchard <steve@kspei.com> - 0.12-1
- Update to 0.12
- Add CHANGES to docs

* Sat Aug 05 2006 Steven Pritchard <steve@kspei.com> - 0.10-1
- Update to 0.10

* Thu Mar 23 2006 Steven Pritchard <steve@kspei.com> - 0.08-1
- Specfile autogenerated by cpanspec 1.62
- Fix License
- Drop explicit Requires
